//COPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHT
//C                                                                      T
//C Copyright 2003 Raytheon Company                                      T
//C An unpublished work, all rights reserved.                            T
//C                                                                      T
//COPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHT

/*****************************************************************************

  ClientInterface-impl.cc - 

  This file describes the C++ implementation of the CORBA server for the
  ClientInterface message event.

  CVS version information
  
  Header: GEO - what should go here

*****************************************************************************/

#include "ClientInterface-impl.h"
#include <iostream>


//------------------------------------------------------------------------------
// Function Description:
// This function is called by the ClientInterface Client on the reception of a
// ClientInterface message.  The "push" member fuction is part of the interface
// as defined in the IDL file.
//
// Returns:
//     none
//
// Updates class data members
//  
// Parameters:
//------------------------------------------------------------------------------
NLCA::OpStatus NLCA::ClientInterface_impl::set (const NLCA::MyType &param)
  throw (CORBA::SystemException)
{
  // Sync the iostreams and the C standard io
  std::cout.sync_with_stdio();

  std::cout << "param.att1 = " << param.att1 << std::endl;

  return NLCA::success;

}
