//COPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHT
//C                                                                      T
//C Copyright 2003 Raytheon Company                                      T
//C An unpublished work, all rights reserved.                            T
//C                                                                      T
//COPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHTCOPYRIGHT

//------------------------------------------------------------------------------
// File:         ClientServerCombinedInterface-impl.h
// Purpose:      Define class used by the CORBA server for the ClientServerProc
//               message.  The "push" member fuction is part of the interface
//               as defined in the IDL file.
//
// Programmer:   
// Project:      NetFires
//------------------------------------------------------------------------------

#ifndef _ORBIT_CPP_IDL_ClientServerCombinedInterface_IMPL_HH
#define _ORBIT_CPP_IDL_ClientServerCombinedInterface_IMPL_HH

#define UNIT_TEST_NAV_IMPL

#include <pthread.h>

#include "ClientServerCombinedInterface-cpp-skels.h"

// types
typedef pthread_mutex_t LockType;

// externs
extern LockType lock;
extern LockType* lockPtr;

namespace NLCA
{

//Inherit from abstract Skeleton:
class ClientServerCombinedInterface_impl : public POA_NLCA::ServerInterface
{
public:
    //Implement pure virtual method:
    // Note: "push" is the name given by the ClientServerProc.idl file. There is
    //        a pure virtual decleration for push in the base class
    //        in the **-skels.h file.
    // virtual ::NLCA::OpStatus push(const ::NLCA::MyType &param) throw (CORBA::SystemException);
    virtual ::NLCA::OpStatus push (const ::NLCA::MyType &param)
                throw (CORBA::SystemException);
private:

};

}; // namespace


#endif //_ORBIT_CPP_IDL_ClientServerCombinedInterface_IMPL_HH
